summaryrefslogtreecommitdiff
path: root/qa/395
diff options
context:
space:
mode:
Diffstat (limited to 'qa/395')
-rwxr-xr-xqa/39542
1 files changed, 42 insertions, 0 deletions
diff --git a/qa/395 b/qa/395
new file mode 100755
index 0000000..417c93f
--- /dev/null
+++ b/qa/395
@@ -0,0 +1,42 @@
+#!/bin/sh
+# PCP QA Test No. 395
+# Interp mode (similar to qa/097, but with valgrind) (see also 333)
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_check_valgrind
+
+# can skip stdout from interp3 and these archives ...
+# that's checked in 095
+#
+_filter()
+{
+ $PCP_AWK_PROG '
+BEGIN { skip = 1 }
+/=== std err ===/ { skip = 0 }
+skip == 0 { print }'
+}
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+for arch in src/bigbin src/mv-bigbin src/noti-foo
+do
+ echo
+ echo "=== $arch ==="
+ _run_valgrind src/interp4 -a $arch | _filter
+done
+
+# success, all done
+exit